Package org.codehaus.janino

# Class Java.FunctionDeclarator.FormalParameter

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.FunctionDeclarator.FormalParameter

All Implemented Interfaces:
  `Java.Locatable`

Enclosing class:
  `Java.FunctionDeclarator`

public static final class Java.FunctionDeclarator.FormalParameter extends Java.Located
Representation of a (formal) function parameter.

## Field Summary

Fields
Modifier and Type
Field
Description
`Java.LocalVariable`
`localVariable`
The local variable associated with this parameter.
`final Java.Modifier[]`
`modifiers`
The `Java.Modifier`s of this parameter declaration.
`final String`
`name`
The name of the parameter.
`final Java.Type`
`type`
The type of the parameter.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`FormalParameter(Location location, Java.Modifier[] modifiers, Java.Type type, String name)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isFinal()`
`String`
`toString()`
`String`
`toString(boolean hasEllipsis)`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### modifiers

public final Java.Modifier[] modifiers
The `Java.Modifier`s of this parameter declaration.

### type

public final Java.Type type
The type of the parameter.

### name

public final String name
The name of the parameter.

### localVariable

@Nullable public Java.LocalVariable localVariable
The local variable associated with this parameter.

## Constructor Details

### FormalParameter

public FormalParameter(Location location, Java.Modifier[] modifiers, Java.Type type, String name)

## Method Details

### isFinal

public boolean isFinal()

### toString

public String toString(boolean hasEllipsis)

Parameters:
  `hasEllipsis` - Whether this is the last function parameter and has an ellipsis ("...") after the type

### toString

public String toString()

Overrides:
  `toString` in class `Object`